OCAMLCP(1)

NAME
ocamlcp - The Objective Caml profiling compiler

SYNOPSIS
ocamlcp [ ocamlc options ] [ -p flags ] filename ...

DESCRIPTION
The ocamlcp script is a front-end to ocamlc(1) that instruments the source code, adding code to record how many times functions are called, branches of conditionals are taken, ... Execution of instrumented code produces an execution profile in the file ocamlprof.dump, which can be read using ocamlprof(1). ocamlcp accepts the same arguments and options as ocamlc(1).

OPTIONS
In addition to the ocamlc(1) options, ocamlcp accepts the following option controlling the amount of profiling information:

-p letters
    The letters following -p indicate which parts of the program should be profiled:

a   all options

f   function calls : a count point is set at the beginning of function bodies

i   if... then... else: count points are set in both "then" branch and "else" branch

l   while, for loops: a count point is set at the beginning of the loop body

m   "match" branches: a count point is set at the beginning of the body of each branch

t   try...with branches: a count point is set at the beginning of the body of each branch For instance, compiling with ocamlcp -pfilm profiles function calls, if... then... else..., loops, and pattern matching. Calling ocamlcp(1) without the -p option defaults to -p fm meaning that only function calls and pattern matching are profiled.

SEE ALSO
ocamlc(1), ocamlprof(1).
The Objective Caml user's manual, chapter "Profiling".